API ReferenceClaim source
Retrieve all claims sources
GET
Returns a list of all claims sources configured on your tenant.
Roles
adminissuermanaged-issuer
Analytics Events
CLAIM_SOURCE_RETRIEVE_LIST_STARTCLAIM_SOURCE_RETRIEVE_LIST_SUCCESSCLAIM_SOURCE_RETRIEVE_LIST_FAIL
bearerAuthheader
AuthorizationBearer <token>limit?numberRange size of returned entries, default 100
Range
1 <= value <= 1000cursor?stringStarting point for the range of entries
Claims sources retrieved
application/json- response
nextCursor?stringStarting point for next cursor to use in a page.
data?array<>curl -X GET 'https://example.vii.au01.mattr.global/v1/claim-sources'{ "nextCursor": "Y3JlYXRlZEF0PTIwMjAtMDgtMjVUMDY6NDY6MDkuNTEwWiZpZD1hNjZmZmVhNS04NDhlLTQzOWQtODBhNC1kZGE1NWY1M2UzNmM", "data": [ { "id": "57fa09e2-82f3-4d3d-9eca-d0253e84a4e6", "name": "My claims from example.com", "url": "https://example.com", "requestMethod": "GET", "requestParameters": { "property1": { "mapFrom": "claims.accountType" }, "property2": { "mapFrom": "claims.accountType" } }, "authorization": { "type": "api-key", "value": "****************************************61m1J" } } ]}How would you rate this page?
Configure a claims source POST
Configures a new claims source for your tenant. When issuing a new credential, MATTR VII will make either a GET or a POST request to the claims source using the configured request parameters and fetch available data. This fetched data can then be included in the issued credential.
Retrieve a claims source GET
Retrieves an existing claims source by providing its `claimSourceID`.